<template>
  <section v-if="article.title" class="container width-article clearfix">
    <ArticleDetail :article="article" />
    <!--    <ProductRelated :article="article"/>-->
    <!--    <ArticleTag :article="article"/>-->
    <ArticleRelated
      v-if="article.related_blogs.length"
      :articles="article.related_blogs"
    />
  </section>
</template>

<script>
import Helper from '~/assets/config'
export default {
  layout: 'news',
  name: 'NewsDetail',
  components: {
    ArticleDetail: () => import('~/components/Articles/ArticleDetail'),
    // ProductRelated: () => import('~/components/Products/ProductRelated'),
    // ArticleTag: () => import('~/components/Articles/ArticleTag'),
    ArticleRelated: () => import('~/components/Articles/ArticleRelated'),
  },
  async asyncData({ params, $axios }) {
    const article = await $axios.$get('/article/' + params.articleSlug)
    const metaseo = await $axios.$get('/article/seo/' + params.articleSlug)
    return {
      article: article.data,
      metaseo: metaseo.data,
    }
  },
  mounted() {},
  head() {
    return {
      title: this.metaseo.title ? this.metaseo.title : this.article.title,
      meta: [
        {
          hid: 'description',
          name: 'description',
          content: this.metaseo.description,
        },
        {
          name: 'keywords',
          content: this.metaseo.keywords ? this.metaseo.keywords.slice() : '',
        },
        { name: 'og:type', content: 'article' },
        {
          name: 'og:title',
          content: this.metaseo.title ? this.metaseo.title : this.article.title,
        },
        { name: 'og:description', content: this.metaseo.description },
        {
          name: 'og:image',
          content: Helper.baseImageUrl + this.article.thumbnail,
        },
      ],
    }
  },
}
</script>

<style lang="scss" src="~/assets/css/detail.scss"></style>
